
# todo

Transitioning to Sway/Wayland for desktop environment.

_Expect iterative changes over the following months while fine-tuning happens on real hardware._


## sway

Going directly to hardware trials because virtualbox support requires too much undesirable configuration:

- Verify usespace systemd sway-session launch works as intended
	- _does sway config loading from non-existing directory crash?_
- Check all userspace service status to see if anything failed (eg. missing package(s) etc...)
- Verify whether `~/.config/libfm` is valid, and it's not `~/.config/libfm-gtk3`?
- Verify whether we can remove `pash` script in favor of hand-rolled commands
	- _delete commented commands using old scripts_
- Verify whether `playerctl` can replace `mpv-control`; does it work when on another workspace?
	- _see if there is an option for inactive windows_
	- _delete commented commands using old scripts_
- Try hidpi setting (`output * scale 2`)
	- Do all my key applications recognize it?
		- pcmanfm
		- mpv (???)
		- firefox
			- _does firefox look like absolute dogshit?_
- Triple check client menu like my super+tab hotkey that let's you see a list of installed applications
	- _I don't need this, but other users might..._
- Experiment with left/right alignment keys like I had on my other desktop; and resize support
	- _While I don't necessarily need complex splitting, I can at least try it and get some hotkeys setup for it_
- Experiment with `Scratchpad` and a hotkye to establish a persistent terminal
	- _It might be as simple as using a hotkey to send and retrieve from Scratchpad, which extends to all apps?_
	- perhaps we can name the scratchpad to allow us to "reserve" one for a script to utilize...
- Configure `waybar`
	- _Improve visual aesthetic?_
	- _Eliminate unused or undesired information; battery on desktop?_
	- _Auto-hide it?_
- add message to waybar and pactl for battery and volume control warnings
- Investigate wofi theming (_Supposedly supports css, but can we import GTk theme?_)
- research firefox auto-configuration _or_ copying configuration files (_eg. if plain text can add to dot-files_):
	- https://support.mozilla.org/en-US/kb/customizing-firefox-using-autoconfig
	- verify if it remembers workspaces when re-opened
- install `cmst` from aur and try it out as an option for wifi support; if good add to my installation by default
	- https://aur.archlinux.org/packages/cmst/
- Multi-Monitor configuration/hotkeys
	- supposedly each monitor is treated as a separate workspace, so this might work well
		- https://www.reddit.com/r/swaywm/comments/gr7yvt/assigning_workspaces_to_specific_outputs/
		- https://fedoramagazine.org/how-to-setup-multiple-monitors-in-sway/
		- https://www.reddit.com/r/swaywm/comments/ftuiqa/is_it_possible_to_set_my_starting_workspace/
- test/fix multimedia keys for volume change support (_may require actual hardware; would also consider popup icons?_)
	- https://www.reddit.com/r/swaywm/comments/bwwxg0/xf86_audio_keys/
- Run every single game in my library; make sure everything works
- Verify whether we should keep `pash` or the simpler commands work?
- Verify whether `adaptive_sync` on my DisplayPort monitor works!
- [Verify whether this is needed](https://github.com/lyfeyaj/sublime-text-imfix)
- [Firefox Test for video, mic, and screen sharing](https://mozilla.github.io/webrtc-landing/gum_test.html)
